id: wordpress-stops-core-theme-and-plugin-updates

info:
  name: Easy Updates Manager Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/stops-core-theme-and-plugin-updates/
  metadata:
    plugin_namespace: stops-core-theme-and-plugin-updates
    wpscan: https://wpscan.com/plugin/stops-core-theme-and-plugin-updates
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/stops-core-theme-and-plugin-updates/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/stops-core-theme-and-plugin-updates.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100b19be4baeb275eaf7941cfc24863bb74a3a6f2a1d0ce82436a75b948e6718d6d0221009bceb0df35353c21aac7a886cc09de8ea31b7b3482523dab1839eb21363a3eae:922c64590222798bb761d5b6d8e72950